Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command
Class ActionAdapter

    java.lang.Object
      javax.swing.AbstractAction
          com.pietschy.command.ActionAdapter

All Implemented Interfaces:
  java.awt.event.ActionListener, java.beans.PropertyChangeListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

     class ActionAdapter

extends javax.swing.AbstractAction
implements java.beans.PropertyChangeListener

The class provides an adaptor between commands and swing Actions.

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`protected` | `ActionAdapter(ActionCommand command, java.awt.event.ActionListener delegate)`
`protected` | `ActionAdapter(ActionCommand command, java.lang.String faceId, java.awt.event.ActionListener delegate)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Invoked when an action occurs.
`protected void` | `configure()`
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)` This method gets called when a bound property is changed.

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionAdapter

    protected ActionAdapter(ActionCommand command,
                            java.awt.event.ActionListener delegate)

### ActionAdapter

    protected ActionAdapter(ActionCommand command,
                            java.lang.String faceId,
                            java.awt.event.ActionListener delegate)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Invoked when an action occurs.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  This method gets called when a bound property is changed.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Parameters:
    `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.

### configure

    protected void configure()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch